## org.apache.lucene.queryParser.standard.config
Interface RangeCollatorAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  RangeCollatorAttributeImpl

Deprecated.

    @Deprecated
    public interface RangeCollatorAttribute

extends Attribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `Collator` should be used for a `TermRangeQuery`

Method Summary
`Collator` `getRangeCollator()` Deprecated.
`void` `setDateResolution(Collator rangeCollator)` Deprecated.

Method Detail

### setDateResolution

    void setDateResolution(Collator rangeCollator)

  Deprecated.

### getRangeCollator

    Collator getRangeCollator()

  Deprecated.